@import url('https://fonts.googleapis.com/css?family=Montserrat:ital,wght@0,400;1,700&display=swap');

html{
    scroll-padding-top: 118px;
    scroll-behavior: smooth;
}

body {
    font-family: 'Montserrat', sans-serif;
}

.content {
    min-width: 1200px;
    width: 100%;
    margin: auto;   
}

section {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 100px 0;
}

.two-stripes {
    background-image: url(../assets/icons/divider.svg);
    width: 91px;
    height: 8px;
    margin-bottom: 69px;
    margin-top: 24px;
}

.flex-container {
    display: flex;
}

header {
    display: flex;
    position: sticky;
    align-items: stretch;
    top: 0;
    height: 118px;
    justify-content: center;
    background: rgba(94, 93, 88, 0.60);
    width: 100%;
    z-index: 50;
}

.menu {
    flex-direction: row;
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center; 
    max-width: 1160px;
}

.logo {
    flex-direction: row;
    display: flex;
    height: 120px;
    align-items: center;
}

.logo .sign {
    width: 58px;
    height: 67px;
    background-image: url(../assets/icons/logo-polygon.svg);
    color: #FFF;
    font-size: 40px;
    font-style: normal;
    font-weight: 700;
    line-height: 31px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 6px;
}

.logo .name {
    color: #FFF;
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: 48px;
    text-transform: none;
}

.logo .name span {
    color: #18CFAB;
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 48px;
    text-transform: none;
}

.menu ul {
    display: flex;
    flex-direction: row;
    gap: 21px;  
}

.menu li {
    list-style: none; 
    display: flex;
}

.menu a {
    color: rgba(255, 255, 255, 0.60);
    display: block;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 118px;
    height: 118px;
    text-transform: uppercase;
    text-decoration: none;
    border-bottom: transparent 2px solid;
}

.menu a.active,
.menu a:hover {
    color: #18CFAB;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 118px;
    text-transform: uppercase;
    border-bottom: #18CFAB 2px solid;
    height: 118px;
}

.search_icon {
    align-self: center;
    padding-bottom: 8px;
}

/* --------------------------------Home-------------------------------- */

#home {
    width: 100%;
    margin-top: -118px;
    height: 100vh;
    background: url(../assets/sections/home-grey.png);
    background-size: cover;
    background-attachment: fixed;
    padding: 0;
}

#home .indiv {
    display: flex;
    flex-direction: column;
    max-width: 1160px;
}

.text-container{
    margin-top: 118px;
    display: flex;
    flex-direction: column;
    gap: 22px;
}

h1 {
    color: #FFF;
    text-align: center;
    font-size: 78px;
    font-style: normal;
    font-weight: 700;
    text-transform: uppercase;
}

h2 {
    color: #FFF;
    text-align: center;
    font-size: 35px;
    font-style: normal;
    font-weight: 700;
    text-transform: uppercase;
}

h2 span {
    color: #18CFAB;
}

p {
    color: #D4D4D4;
    text-align: center;
    font-size: 34px;
    font-style: normal;
    font-weight: 400;
}

.bttns {
    display: flex;
    justify-content: center;
    gap: 26px;
}

.btn {
    width: 169px;
    height: 63px;
    border-radius: 5px;
    background-color: #18CFAB;
    font-size: 15px;
    color: #FFF;
    text-transform: uppercase;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 130px;
    border: none;
}
.btn:hover {
    opacity: 0.8;
    transition: opacity 0.5s ease-in-out;
}
.btn img{
    display: inline-flex;
    margin-top: -2px;

}
.btn-border{
    border-top: 4px solid white;
}

.blue {
    background-color: #00CBF6;
}

/*-------------------------Sections 4-------------------------*/

#sections4 {    
    width: 100%;
    height: 377px;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
    padding: 0px;
    border-top: 8px solid white;
}

#sections4 .block4 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-basis: 25%;
}

.dark {
    background-color: #1C2A33;
    color: #18CFAB;
}

.green {
    background-color: #18CFAB;
    color: white;
}

#sections4 img {
    width: 82px;
    height: 82px;
    margin-bottom: 40px;
}

/*-------------------------Our Services-------------------------*/

.title {
    color: #4E4E4E;
    text-align: center;
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;

}

.text-white {
    color: #FFF;
}

.content-services {
    width: 1160px;
    display: flex;
    flex-direction: column;
}

.menu-services ul {
    display: flex;
    flex-direction: row;
    margin-bottom: 30px;
}

.menu-services li {
    list-style: none;
    width: 195px;
    background-color: #E9EDEF;
    text-align: center;
}

.serviceButton {
    width: 195px;
    height: 76px;
    color: #717171;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 39px;
    text-decoration: none;
    border: none;
}

.serviceButton:hover {
    border: #18CFAB 2px solid;
}

.service-container {
    display: none;
    flex-direction: row;
    flex: 0 0 100%;
    gap: 15px;
}

.service-content-active {
    display: flex !important;
}

.service-button-active {
    background-color: #18CFAB;
    color: #FFF;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 39px;
}


.service-container img {
    width: 192px;
    height: 139px;

}

.service-container p {
    text-align: left;
    color: #777;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 24px;
}

/*------------------------Work-------------------------*/

#our-amazing-work {
    background-color: #E9EDEF;
}

.menu-work {
    width: auto;
    height: 58px;
    
}

.menu-work ul {
    display: flex;
    flex-direction: row;
    
}

.menu-work li {
    list-style: none;
    width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 62px;
    border: 1px solid #DADADA;
    text-align: center;
    min-width: 80px;
    padding: 0 15px;
}

.menu-work li.active,
.menu-work li:hover {
    border: #18CFAB 1px solid;
}

.menu-work a {
    color: #717171;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 42px;
    text-transform: none;
    text-decoration: none;
}

.menu-work a:hover,
.menu-work a:active {
    font-style: normal;
    text-transform: none;
    text-decoration: none !important;
    color: #18CFAB;
}

.menu-all {
    width: 100px;
    background-color: #00CBF6;
}

.grid-work {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    margin-top: 70px;
}

.grid-item {
    width: 285px;
    height: 211px;
}

.grid-hover {
    background-color: #E9EDEF;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-top: #18CFAB 2px solid;
}

.round-icon {
    width: 43px;
    height: 43px;
    border-radius: 50%;
    background-color: #18CFAB;
}


.btn-work {
    margin-top: 70px;
}

.imageGrid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0px;
}

.imageItem {
    position: relative;
    cursor: pointer;
}

.imageContent {
    display: flex;
    flex-direction: column;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    background-color: #E9EDEF;
    border-top: #18CFAB 2px solid;
    transition: opacity 0.5s ease-out;
}

.imageItem:hover .imageContent {
    opacity: 1;
}

.tagButtons {
    display: flex;
    gap: 0px;
    margin-bottom: 70px;
}

.tagButton {
    list-style: none;
    width: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 62px;
    
    border: 1px solid #DADADA;
    text-align: center;
    min-width: 80px;
    padding: 0 15px;
    height: 58px;
    text-transform: capitalize;
    color: #717171;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 42px;
    text-decoration: none;
}

.tagButton.active,
.tagButton:hover {
    border: #18CFAB 1px solid;
    color: #18CFAB;
}

.grid1-title {
    color: #18CFAB;
    margin-top: 30px;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 25px;
    text-transform: uppercase;
}

.grid1-p {
    color: #8A8A8A;
    font-size: 12px;
    font-style: normal;
    font-weight: 300;
    line-height: 25px;
}

.showMoreButton {
    margin-top: 70px;
    display: flex;
}

/*------------------------Purchase-------------------------*/

#purchase {
    width: 100%;
    background: url(../assets/sections/Layer\ 21\ 1.png) no-repeat center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 130px 0 0 0;
}

.text-dark {
    color: #777;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 24px;
}

#purchase h2 {
    color: #18CFAB;
    text-align: center;
    font-size: 40px;
    font-style: normal;
    font-weight: 700;
    line-height: 40px;
    text-transform: uppercase;
}

#purchase p {
    color: #D8D8D8;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 40px;
}

.btn-purchase {
    margin: 67px auto 127px auto;
}

/*------------------------News-------------------------*/

#breaking-news {
    padding-bottom: 0px;
}

.grid-news {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 35px;
    grid-row-gap: 45px;
    margin-bottom: 131px;
}

.grid-item-news {
    display: flex;
    flex-direction: column;
    width: 265px;
    height: 281px;
    text-decoration: none;
}

.grid-title {
    margin-top: 10px;
    color: #717171;
    text-align: center;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 39px;
}

.grid-meta {
    color: #777;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 39px;
}

.grid-date {
    position: absolute;
    display: flex;
    flex: 0 0 66px; 
    align-self: end;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 66px;
    height: 64px;
    background-color: #203E38;
    color: #FFF;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 25px;
}

.grid-item-news:hover .grid-date {
    background-color: #18CFAB;
}

.grid-item-news:hover .grid-title {
    color: #18CFAB;
}

.list-employee {
    display: flex;
}

/*-----------------------What People Say-------------------------*/

#people-say {
    background: url(../assets/sections/Section6.png) no-repeat center;  
    background-size: cover;  
}

.container-say {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.carousel {
    width: 100%;
    max-width: 1160px;
    overflow: hidden;
    position: relative;
}

.carousel-container {
    display: flex;
    transition: transform 0.3s ease-in-out;
}

.carousel-slide {
    display: flex;
    flex-direction: column;
    flex: 0 0 100%;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.carousel-slide .circle {
    align-self: center;
    border-radius: 50%;
    border: rgb(24, 207, 171, 0.2) solid 11px;
}

.carousel-slide .circle img {
    width: 171px;
    height: 171px;
    border-radius: 50%;
}

.carousel-slide.active {
    opacity: 1;
}

#people-say p {
    color: #BBB;
    text-align: center;
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 30px;
    margin: 37px 0 37px 0;
}

.employee {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto 38px auto;
}

.name {
    text-transform: uppercase;
    color: #18CFAB;
    font-size: 14;
    font-weight: 700;
    line-height: 27px;
}

.position {
    color: #BBB;
    font-size: 14px;
    font-style: normal;
    line-height: 27px;
}

.thumbnails {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    gap: 38px;
    margin-top: 44px;
}

.thumbnail {
    flex: 0 0 auto;
    margin: 0 5px;
    cursor: pointer;
    opacity: 0.6;
    transition: opacity 0.3s ease-in-out;
    border-radius: 50%;
    border: rgb(24, 207, 171, 0.2) solid 4px;
}
.thumbnail img{
    border-radius: 50%;
    width: 58px;
    height: 58px;
}

.thumbnail:hover {
    opacity: 0.8;
}

.thumbnail.active {
    opacity: 1;
    transform: translate(0, -15px);
    transition: 0.3s ease-in-out;
}

.arrow {
    font-size: 24px;
    cursor: pointer;
    border: none;

    width: 31px;
    height: 31px;
    align-self: center;
}

.arrow-left {
    background: url(../assets/icons/arrow.svg);
}

.arrow-left:hover {
    background: url(../assets/icons/arrow-hover.svg);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

.arrow-right {
    background: url(../assets/icons/arrow.svg);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
}

.arrow-right:hover {
    background: url(../assets/icons/arrow-hover.svg);
    -webkit-transform: none;
    transform: none;
}

/* -----------------------GALLERY------------------------- */

.grid-masonry {
    column-count: 3;
    column-gap: 20px;
}

.grid-masonry .item {
    margin: 0;
    display: grid;
    grid-template-rows: 1fr auto;
    margin-bottom: 10px;
    break-inside: avoid;
}

.grid-masonry .item-img {
    grid-row: 1 / -1;
    grid-column: 1;
}

.grid-masonry .mini-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-column-gap: 3px;
    grid-row-gap: 3px;
}

.mini-grid img {
    width: 100px;
}

.btn-masonry {
    margin-top: 70px;
    display: flex;
}

/*-------------------------Footer ------------------------*/

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 121px;
    
    background-color: #22353F;
}

footer div {
    color: #AEAEAE;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 26px;
}

footer div span {
    margin: auto;
    color: #18CFAB;
}
